mlbench.friedman1 {mlbench} | R Documentation

## Benchmark Problem Friedman 1

### Description

The regression problem Friedman 1 as described in Friedman (1991) and Breiman (1996). Inputs are 10 independent variables uniformly distributed on the interval [0,1], only 5 out of these 10 are actually used. Outputs are created according to the formula

y = 10 sin(π x1 x2) + 20 (x3 - 0.5)^2 + 10 x4 + 5 x5 + e

where e is N(0,sd).

### Usage

    mlbench.friedman1(n, sd=1)

### Arguments

`n` | number of patterns to create
`sd` | Standard deviation of noise

### Value

Returns a list with components

`x` | input values (independent variables)
`y` | output values (dependent variable)

### References

Breiman, Leo (1996) Bagging predictors. Machine Learning 24, pages 123-140.

Friedman, Jerome H. (1991) Multivariate adaptive regression splines. The Annals of Statistics 19 (1), pages 1-67.

[Package mlbench version 2.1-1 Index]